%%%%%%%%%%%%%%%%%%%%%% p10_6.m %%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%----------------------------------------------------
%    Problem 10.6: construct observability matrix 
%            and determine observability 
%----------------------------------------------------
  clear
  disp('Problem 10.6: construct observability matrix ')
  disp('  and determine observability')  
  disp('	3rd-order system')  
  disp(' ')
  A = [-4 1 2; 1 -5 3; 2 0 -6]        % state matrix
  C = [ 0 1 0]                       % output matrix
  disp('*****>');pause
  Ob = obsv(A,C)                      % observability matrix
  o_eig = rank(Ob)                    % number of observable eigenvalues
  disp('*****>');pause
  disp('end of Reinforcement Problem 10.6')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%