%%%%%%%%%%%%%%%%%%%%%% p10_7.m %%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%----------------------------------------------------
%    Problem 10.7: construct observability matrix 
%             and determine observability 
%----------------------------------------------------
  clear
  disp('Problem 10.7: construct observability matrix ')
  disp('  and determine observability')  
  disp('  4th-order modal system')  
  disp(' ')
  A = [-2 0 0 0; 0 -4 0 0; 0 0 -5 0; 0 0 0 0]    % state matrix
  C = [ 1 2 0 1]                      % output matrix
  disp('*****>');pause
  Ob = obsv(A,C)                      % observability matrix
  o_eig = rank(Ob)                    % number of observable eigenvalues
  disp('*****>');pause
  disp('end of Reinforcement Problem 10.7')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%