%%%%%%%%%%%%%%%%%%%%%% p2_18.m %%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/23/99 HS
%---------------------------------------------------- 
%                 Problem 2.18:  
%   determine poles and stability of system 
%----------------------------------------------------
clear, clf
disp('Problem 2.18 - poles in RHP')
numG = [ 1 3 4 ]
denG = [ 1 4 6 44 80 ]
G = tf(numG, denG)
disp('*****>');pause
GG = zpk(G)
[zG, pG, kG] = zpkdata(GG,'v')
disp('*****>');pause
t = [0:0.02:10]';
impulse(G,t); grid
title('P2.18: Impulse Response of system with poles in RHP')
disp('end of Reinforcement Problem 2.18')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
