%%%%%%%%%%%%%%%%%%%%%% p2_2.m %%%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%          last revision: 5/23/99 HS
%----------------------------------------------------
% Problem 2.2: find zeros, poles, gain of a tf model.
%    Also convert model into ZPK form and make
%    pole-zero plot.
%----------------------------------------------------
clear, clf
disp('Problem 2.2: Fourth-order system')
numG = [3 6 4]
denG = [1 3 8 4 2]
G = tf(numG,denG)
disp('*******>');pause
GG = zpk(G)
disp('*******>');pause
[z,p,k] = zpkdata(G,'v')
disp('*******>');pause
pzmap(G)
disp('end of Reinforcement Problem 2.2')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%