%%%%%%%%%%%%%%%%%%%%%% p3_15.m %%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/24/99 HS
%----------------------------------------------------
%          Problem 3.15: Feedback connection
%           find zeros, poles, gain of T(s).
%                Also get step response
%----------------------------------------------------
clear, clf
numG = [5 12]
denG = conv([1 0.5],[1 10])
G = tf(numG,denG)
pG = roots(denG)     % poles of G
disp('*******>');pause
numH = 6
denH = [1 7 3]
H = tf(numH,denH)
pH = roots(denH)     % poles of H
disp('*******>');pause
T = feedback(G,H)
disp('*******>');pause
[zT,pT,kT] = zpkdata(T,'v')
disp('All poles in LHP ==> Stable')
disp('*******>');pause
step(T);grid
title('P3.15: step response of feedback connection')
disp('end of Reinforcement Problem 3.15')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%