%%%%%%%%%%%%%%%%%%%%%% p3_5.m %%%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/24/99 HS
%----------------------------------------------------
%       Problem 3.5: Stable zero-pole cancellation
%----------------------------------------------------
clear, clf
disp('Problem 3.5: Stable zero-pole cancellation')
numG1 = [4 6]
denG1 = [1 5 10]
G1 = tf(numG1,denG1)
numG2 = 2*[1 4]
denG2 = [1 7.5 9]
G2 = tf(numG2,denG2)
disp('*******>');pause
G12 = G1*G2
disp('*******>');pause
%------- find zeros, poles, & gain of combined system
[zG12,pG12,kG12] = zpkdata(G12,'v')
disp('Zero & pole at s = -1.50 cancel one another')
disp('All poles in LHP ==> Stable')
disp('*******>');pause
step(G12)
grid;title('P3.5: Step Response')
disp('End of Reinforcement Problem 3.5')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%