%%%%%%%%%%%%%%%%%%%%%% p4_3.m %%%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/25/99 HS
%----------------------------------------------------
%      Problem 4.3: connect state-space models in  
%      series, parallel and feedback configuration
%----------------------------------------------------
  clear
  disp('Problem 4.3: G1(s) and G2(s) in state-space form')
  disp(' ')
  disp('Enter G1(s) in state-space form')
  A1 = [0 1 0; 0 0 1; -16 -20 -5],      %  G1 state matrices
  B1 = [0; 0; 1], C1 = [8 2 0], D1 = 0                
  G1 = ss(A1,B1,C1,D1)
  disp('*****>');pause
  disp('Enter G2(s) in state-space form')
  A2 = -8, B2 = 1                       %  G2 state matrices
  C2 = 5, D2 = 0                     
  G2 = ss(A2,B2,C2,D2)
  disp('*****>');pause
  Gs = G1*G2 
  disp('*****>');pause
  Gp = G1+G2
  disp('*****>');pause
  %[A,B,C,D] = feedback(A1,B1,C1,D1,A2,B2,C2,D2)
  Gf = feedback(G1,G2)
  disp('end of Reinforcement Problem 4.3')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%