%%%%%%%%%%%%%%%%%%%%%% cp5_2b.m %%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 6/9/99 HS
%----------------------------------------------------
%       Comprehensive Problem CP5.2b
%	       satellite + lead control
%----------------------------------------------------
disp('CP5.2B: Satellite with lead control')
clear;clf
% load sat.mat if exists, otherwise quit this M-file
if chkmat('sat') == 1, 
    load sat.mat
  else
     return
end
disp(' ')
numGp = numG1;	% rename to identify as plant
denGp = denG1;
Gp = tf(numGp,denGp)
disp('Have created TF model for satellite')
disp(' ')
disp('build model for satellite + lead with alpha = 20')
disp('Book suggests s = -1 for zero location')
z = input('enter lead zero (< 0 for LHP) ==>  ')
numGc = -[1  -z];	% using gain = -1 to make stable
denGc = [1  -20*z];
Gc = tf(numGc,denGc)
GcGp = Gc*Gp;
disp('drawing root locus for lead with gain = -1')
rlocus(GcGp);grid
axis('equal')
title('CP5.2b: Satellite + lead with gain = -1')
disp('Use axis command to change plotting area')
disp('....try axis([-10 1 -4 4]) for more detail near origin')
keyboard
%--- step response of unity-feedback closed-loop system
%   reduce gain which is -1 from above
CL = feedback(0.001*GcGp,1)
step(CL,1500);grid
title('CP5.2b: Closed-loop step response for K = -0.001')
disp('end of Comprehensive Problem 5.2b')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%