%%%%%%%%%%%%%%%%%%%%% wif6_4a.m %%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/28/99 HS
%----------------------------------------------------
%  This MATLAB file runs the What-if problem after 
%  Example 6.4 (Crossover frequencies, and margins)
%----------------------------------------------------
clear,clf
  disp('What-if Part (a) following') 
  disp('Example 6.4: Crossover frequencies, margins & stability')
  disp(' ')
  disp('Enter transfer function in two polynomials')
  numG = [ 1280 640 ]
  denG = [ 1 24.2 1604.81 320.24 16]
  G = tf(numG,denG)
  disp('*****>');pause
  disp('Gain margin from Example 6.4')
  km = 31
  
  disp('Gain and phase margins and crossover frequencies')
  margin(km*G);
  disp(' ')
  keyboard
  disp('Compute closed-loop system poles')
  G_CL = feedback(km*G,1)
  pole_CL = pole(G_CL)
  disp('end of What If 6.4a')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%







