%%%%%%%%%%% fig8_2a.m %%%%%%%%
%
% 	draws figure 8.2(a), no rlocfind
%  	Jan 99
%   last revision:  1/6/99  JHC
%----------------------------------------
clear
set(gcf,'DefaultAxesFontSize',16)
set(gcf,'DefaultTextFontSize',16)
disp('fig 8.2(a): root locus, Prop control')
tauP1 = 2; tauP2 = 0.5; tau_sen = 0.05; Kproc = 4;
denGp = conv([tauP1 1],[tauP2 1]);
Gp    = tf(Kproc,denGp)
H     = tf(1,[tau_sen 1])
GpH   = Gp*H;
rlocus(GpH);grid
sgrid(0.8,[])
axis equal
axis([-25 5 -15 15])
%title('fig 8.2a: open-loop, proportional control for Ex 8.1')
text(-14,11,'zeta = 0.8')
print -deps fig8_2a.eps
%-- reset fonts to defaults
set(gcf,'DefaultAxesFontSize',get(0,'DefaultAxesFontSize'));
set(gcf,'DefaultTextFontSize',get(0,'DefaultTextFontSize'));
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%