% RPI function and model files for Frederick and Chow book
%
% RPI function files:
% 
% bwcalc  - calculate bandwidth
% chkmat  - check existance of .mat file
% cpole2t - generate time response due to complex poles
% rpole2t - generate time response due to real poles
% small20 - zero out small numbers
% tstats  - compute time-domain performance measures
% vec2str - converts a vector to a string
% vgain   - compute velocity error constant
%
% Model files:
%
% power   - electric power generation system 
% powerxd - electric power generation system with extra damping
% sat     - satellite model
% rigid   - stick balancer with rigid stick
% flex    - stick balancer with flexible stick
% hydro   - hydro-turbine system model


