%%%%%%%%%%%%%%%%%%%%%% p2_17.m %%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/23/99 HS
%---------------------------------------------------- 
%                 Problem 2.17:  
%   determine poles and stability of system 
%----------------------------------------------------
clear, clf
disp('Problem 2.17 - repeated poles on imaginary axis')
numG = [ 1 3 1 ]
denG = [ 1 0 18 0 81 ]
G = tf(numG, denG)
disp('*****>');pause
GG = zpk(G)
[zG, pG, kG] = zpkdata(GG,'v')
disp('*****>');pause
t = [0:0.05:10]';
impulse(G,t)
title('P2.17: Impulse Response of system with repeated poles on imaginary axis')
grid
disp('end of Reinforcement Problem 2.17')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
