%%%%%%%%%%%%%%%%%%%%%% p2_20.m %%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/23/99 HS
%---------------------------------------------------- 
%       Problem 2.20:  determine output for
%    a given transfer function and input signal
%         via step and impulse commands
%----------------------------------------------------
clear, clf
disp('Problem 2.20 - derivative (washout) function')
numG = [1 0]
denG = [1 1]
G = tf(numG,denG)
step(G)
title('P2.20: Step response of derivative function')
grid
keyboard
impulse(1,denG)
title('P2.20: Impulse response of derivative function')
grid
disp('end of Reinforcement Problem 2.20')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%