%%%%%%%%%%%%%%%%%%%%%% p3_7.m %%%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/24/99 HS
%----------------------------------------------------
%          Problem 3.7: Parallel connection
%    	   find zeros, poles, gain of T(s).
%               Also get step response
%----------------------------------------------------
clear, clf
numG1 = [2 3]
denG1 = [5 2 2]
G1 = tf(numG1,denG1)
pG1 = pole(G1)     % poles of G1
disp('*******>');pause
numG2 = 3*[1 5]
denG2 = [6 1]
G2 = tf(numG2,denG2)
pG2 = pole(G2)     % poles of G1
disp('*******>');pause
T = G1 + G2
disp('*******>');pause
[zT,pT,kT] = zpkdata(T,'v')
disp('All poles in LHP ==> Stable')
disp('*******>');pause
step(T)
grid;title('P3.7: step response of parallel connection')
disp('end of Reinforcement Problem 3.7')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
