%%%%%%%%%%%%%%%%%%%%%% p4_6.m %%%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/25/99 HS
%----------------------------------------------------
%      Problem 4.6: convert state-space model to 
%    the factored form. Then use tzero and pole to
%             verify system poles and zeros.
%----------------------------------------------------
  clear, clf
  disp('Problem 4.6: Third-order system')
  disp('Enter A, B, C, D matrices')
  A = [-4 1 2; 1 -5 3; 2 0 -6]
  B = [1; 0.5; 2], C = [2 1 2], D =0
  Gss = ss(A,B,C,D)
  disp('*****>');pause
  disp('System in factored form')
  Gzpk = zpk(Gss)
  [z,p,k] = zpkdata(Gzpk,'v')
  disp('*****>');pause
  disp('System transmission zeros')
  zero = tzero(Gss)
  pole = pole(Gss)
  pzmap(Gss)
  grid;title('P4.6: Third order system')
  disp('end of Reinforcement Problem 4.6')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%