%%%%%%%%%%%%%%%%%%%%%% p4_9.m %%%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/25/99 HS
%----------------------------------------------------
%  Problem 4.9: simulate impulse and step response
%                of state-space model.
%----------------------------------------------------
  clear, clf
  disp('Problem 4.9: Third-order system')
  disp('Enter A, B, C, D matrices')
  A = [-7 -32 -60; 1 0 0; 0 1 0]
  B = [1; 0; 0], C = [2 11 5], D = 0
  G = ss(A,B,C,D)
  disp('*****>');pause
  disp('Simulate impulse response')
  t = [0:0.05:6]';
  impulse(G,t)           % generate impulse response
  grid;title('P4.9: Impulse response')
  keyboard
  disp('Simulate step response')
  step(G,t)              % generate step response
  grid;title('P4.9: Step response')
  disp('end of Reinforcement Problem 4.9')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%