%%%%%%%%%%%%%%%%%%%%%% cp5_1.m %%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/28/99 HS
%----------------------------------------------------
% .M file for analyzing the power system example for 
%              Comprehensive Problem CP5.1
%----------------------------------------------------
clear, clf
disp('Comprehensive Problem CP5.1')

epow    % read data

disp('Power system transfer function, with V_term as output')
num = num1
den
G = tf(num,den)
disp('*****>'), pause

disp('Make root-locus plot')
axis('square')
rlocus(G)
grid;title('CP5.1:  Root-locus plot, Power system example')
keyboard

disp('Expanded root-locus plot at the origin')
axis([-10 10 -10 10])
keyboard

disp('Expanded root-locus plot at the electromechanical mode')
axis([-2 2 8 12])
disp('move cross hairs to click on one of the imaginary')
disp('  axis crossing')
[K,pCL] = rlocfind(G)
disp('move cross hairs to click on the other imaginary')
disp('  axis crossing')
[K,pCL] = rlocfind(G)
keyboard

disp('end of Comprehensive Problem 5.1')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
